Voice note survey
curl --request POST \
--url https://app.enzo.health/api/v1/notes/{voiceNoteId}/survey \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateType": "oasis"
}
'import requests
url = "https://app.enzo.health/api/v1/notes/{voiceNoteId}/survey"
payload = { "templateType": "oasis" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({templateType: 'oasis'})
};
fetch('https://app.enzo.health/api/v1/notes/{voiceNoteId}/survey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"questions": [
{
"id": "<string>",
"instructions": "<string>",
"order": 123,
"answerType": "singleChoice",
"options": [
{
"value": "<string>",
"id": "<string>"
}
],
"triggerOptionIds": [
"<string>"
],
"followUpQuestions": [
{
"id": "<string>",
"instructions": "<string>",
"order": 123,
"answerType": "singleChoice",
"options": [
{
"value": "<string>",
"id": "<string>"
}
],
"triggerOptionIds": [
"<string>"
]
}
]
}
],
"answers": [
{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"surveyId": "<string>",
"questionId": "<string>",
"answerType": "singleChoice",
"value": "<unknown>"
}
],
"unansweredQuestionId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Survey
Voice note survey
POST
/
v1
/
notes
/
{voiceNoteId}
/
survey
Voice note survey
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
oasis, soap, narrative, custom